Subject: Ruby is built against libruby-static.a

From: Vicente Eduardo <[email-masked]>
Date: Thu, 5 Dec 2019 14:25:51 +0100

I'm trying to use Ruby interpeter as a library to link it against my
project (metacall:
https://github.com/metacall/distributable/blob/65493b393388f5d66d9b466e5d49f9128fee27ea/source/metacall.scm#L117
). So I tried to download the Ruby package and libruby.so seems not to be
present.

Running ldd against ruby executable shows that it is linked with
libruby-static.a. When I do ldd against Ruby on my Debian system, it is
linked dynamically to libruby.so.

I would like to have two versions, or at least the dynamic one, that's the
common way Ruby should be built, and also the Guixy style.

If this isn't handled, I will have to inherit the package and modify the
compilation flags in order to compile Ruby with the dynamic library version.

Thanks.